networks:
  reverse-proxy:
    external: true

services:
  page:
    image: git.alecodes.page/alecodes/page:latest
    restart: unless-stopped
    networks:
      - reverse-proxy
    deploy:
      labels:
        - traefik.enable=true
        - traefik.http.routers.personal-page.rule=Host(`alecodes.page`)
        - traefik.http.services.personal-page.loadbalancer.server.port=80
